Advisory Details

July 21st, 2009

Novell Privileged User Manager Remote DLL Injection Vulnerability

ZDI-09-046
ZDI-CAN-493

CVE ID
CVSS SCORE
AFFECTED VENDORS Novell
AFFECTED PRODUCTS Privileged User Manager
VULNERABILITY DETAILS

This vulnerability allows remote attackers to execute arbitrary code on systems running vulnerable versions of Novell's Privileged User Manager. Authentication is not required to exploit this vulnerability.

The specific flaw exists within the unifid.exe service which binds on port 29010 for a protocol providing RPC-like functionality encapsulated over SSL. This protocol allows a client to make a method call into a module. The 'spf' RPC call is implemented unsafely allowing remote attackers to load arbitrary modules over the network resulting in code execution under the context of the service.

VENDOR RESPONSE Novell has issued an update to correct this vulnerability. More details can be found at:
TID #7003640
DISCLOSURE TIMELINE
  • 2009-06-23 - Vulnerability reported to vendor
  • 2009-07-21 - Coordinated public release of advisory
CREDIT Stephen Fewer of Harmony Security (www.harmonysecurity.com)
BACK TO ADVISORIES